summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-05-01 12:46:31 +0200
committerHolger Levsen <holger@layer-acht.org>2015-05-01 12:46:31 +0200
commitebec753adc89feb0ff8870d2d2609555f6be87ef (patch)
tree5a399d5996bc93455d5d9f8594b56da6516d4007 /bin
parentfd38fca43df87ee1fb0d763c25046c2e1045b2b4 (diff)
downloadjenkins.debian.net-ebec753adc89feb0ff8870d2d2609555f6be87ef.tar.xz
reproducible: also umount /proc in cleanup()
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_setup_schroot.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/bin/reproducible_setup_schroot.sh b/bin/reproducible_setup_schroot.sh
index a0d3a8b6..a5d7986f 100755
--- a/bin/reproducible_setup_schroot.sh
+++ b/bin/reproducible_setup_schroot.sh
@@ -108,6 +108,7 @@ EOF
cleanup() {
if [ -d $CHROOT_TARGET ]; then
+ sudo umount -l $CHROOT_TARGET/proc || true
sudo rm -rf --one-file-system $CHROOT_TARGET || fuser -mv $CHROOT_TARGET
fi
}